# Method: accounts.returncarrier.patch

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.returncarrier/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.returncarrier/patch#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.returncarrier/patch#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.returncarrier/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.returncarrier/patch#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.returncarrier/patch#try-it)

Updates a return carrier in the merchant account.

### HTTP request

`PATCH https://shoppingcontent.googleapis.com/content/v2.1/accounts/{accountId}/returncarrier/{carrierAccountId}`

### Path parameters

| Parameters ||
|---|---|
| `accountId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The Merchant Center Account Id under which the Return Carrier is to be linked. |
| `carrierAccountId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The Google-provided unique carrier ID, used to update the resource. |

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.returncarrier#AccountReturnCarrier`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/accounts.returncarrier#AccountReturnCarrier`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).